Skip to content

List All Assets

GET
/api/v1/assets

Get all assets in the authenticated user’s portfolio

summary
Any of:
boolean
type

Filter by asset type

string
Allowed values: stock etf crypto real_estate cash bond other
Example
etf
sort

Sort field

string
default: value
Allowed values: value name type date
Example
value
order

Sort order

string
default: desc
Allowed values: asc desc
Example
desc

List of assets

object
success
required
boolean
data
required
Array<object>
object
id
required

Asset ID

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000
userId
required

Owner user ID

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000
name
required
string
assetType
required

Type of financial asset

string
Allowed values: stock etf crypto real_estate cash bond other
Example
etf
tickerSymbol
required
string | null
isin
required
string | null
quantity
required
number
purchasePrice
required
number
currentPrice
required
number | null
currentValue
required
number | null
valueEur
required
number | null
purchaseDate
required
string | null
currency
required
string
expenseRatio
required
number | null
geographicRegion
required
string | null
sector
required
string | null
categoryId
required

Unique identifier (UUID v4)

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000
categoryName
required
string
lastUpdated
required

Timestamp in ISO 8601 format

string | null format: date-time
Example
2024-01-15T10:30:00Z
createdAt
required

Timestamp in ISO 8601 format

string format: date-time
Example
2024-01-15T10:30:00Z
updatedAt
required

Timestamp in ISO 8601 format

string format: date-time
Example
2024-01-15T10:30:00Z
summary

Included when summary=true

object
totalValue
required

Total portfolio value in original currencies

number
Example
135000
totalValueEur
required

Total portfolio value in EUR

number
Example
135000
totalCost
required

Total cost basis

number
Example
100000
totalProfitLoss
required

Total profit/loss

number
Example
35000
totalProfitLossPercent
required

Total profit/loss percentage

number
Example
35
assetCount
required

Number of assets in portfolio

integer
Example
5
diversificationScore
required

Diversification score (0-100)

integer
<= 100
Example
75
meta
required
object
count
required
integer
timestamp
required

Timestamp in ISO 8601 format

string format: date-time
Example
2024-01-15T10:30:00Z

Unauthorized

object
success
required

Always false for error responses

boolean
error
required

Error type

string
Example
Validation error
code

Machine-readable error code

string
Example
VALIDATION_ERROR
details

Detailed validation errors

Array<object>
object
path
required

Path to the invalid field

string
Example
currentAge
message
required

Error message

string
Example
Must be between 18 and 100